#pragma once
#include "uXgtcBurst.h"

DbrU::DbrU(uint32_t _buffOcc) {
	buffOcc = _buffOcc;
}

DbrU::DbrU() {};

AlokacniInterval::AlokacniInterval(DbrU _dbrU, Xgem _xgem) {
	dbrU = _dbrU;
	xgtcNaklad = _xgem;
}
AlokacniInterval::AlokacniInterval() {};

uXgtcHeader::uXgtcHeader(int16_t _onuId) {
	onuId = _onuId;
	//ind = _ind;
	//hec = _hec;
	//ploamU = _ploamU;
}
uXgtcHeader::uXgtcHeader() {};

uXgtcBurst::uXgtcBurst(int16_t _onuId, std::vector<AlokacniInterval> _alokacniInterval) {
	Header = uXgtcHeader(_onuId);
	alokacniInterval = _alokacniInterval;
}
uXgtcBurst::uXgtcBurst() {};